Subject: Childhurd stuck booting

From: [email-masked]
Date: Tue, 22 Apr 2025 22:23:31 +0200 (GMT+02:00)

Reverting da741d89310efd0530351670d9c55ec2f952ab98 "services: account: Create /var/guix/profiles/per-user/$USER." fixes this, but I am not sure why.

Finding this was a lot of trial and error (bisecting did now work because of the python cross compilation failure) but sshd not showing up is caught by the childhurd system test. Encountering a record ABI mismatch requiring a recompile of the entire guix tree slowed this down as well.

Also https://issues.guix.gnu.org/77610 is causing the the rest of the failures in the chldhurd  system test which expect the guix daemon to be avaialble immediately. I started looking around in glibc and hurd but I haven't found a good setup yet to easily try changes without a full rebuild.